<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useWorkflowSteps](./react.useworkflowsteps.md)

## useWorkflowSteps() function

Gets the workflow processing steps

<b>Signature:</b>

```typescript
export declare function useWorkflowSteps(workflow: Workflow, order?: DisplayOrder): Step[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow | the workflow intsance |
|  order | [DisplayOrder](./react.displayorder.md) | <i>(Optional)</i> |

<b>Returns:</b>

Step\[\]


